ListElement (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.layoutmgr

## Class ListElement

- java.lang.Object
- - org.apache.fop.layoutmgr.ListElement

- Direct Known Subclasses:
    KnuthElement, UnresolvedListElement

      public abstract class ListElement
      extends Object

  This class is the base class for all kinds of elements that are added to element lists. There are basically two kinds of list elements: Knuth elements and unresolved elements like spaces, border and padding elements which are converted to Knuth elements prior to the breaking process.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListElement(Position position)` Main constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LayoutManager` | `getLayoutManager()`
    `Position` | `getPosition()`
    `boolean` | `isBox()`
    `boolean` | `isForcedBreak()`
    `boolean` | `isGlue()`
    `boolean` | `isPenalty()`
    `boolean` | `isUnresolvedElement()`
    `void` | `setPosition(Position position)` Change the Position stored in this element.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListElement

          public ListElement(Position position)

      Main constructor
      Parameters:
        `position` - the Position instance needed by the addAreas stage of the LMs.

  - ### Method Detail

    - #### getPosition

          public Position getPosition()

      Returns:
        the Position instance for this element.

    - #### setPosition

          public void setPosition(Position position)

      Change the Position stored in this element.
      Parameters:
        `position` - the Position instance

    - #### getLayoutManager

          public LayoutManager getLayoutManager()

      Returns:
        the LayoutManager responsible for this element.

    - #### isBox

          public boolean isBox()

      Returns:
        true if this element is a KnuthBox.

    - #### isGlue

          public boolean isGlue()

      Returns:
        true if this element is a KnuthGlue.

    - #### isPenalty

          public boolean isPenalty()

      Returns:
        true if this element is a KnuthPenalty.

    - #### isForcedBreak

          public boolean isForcedBreak()

      Returns:
        true if the element is a penalty and represents a forced break.

    - #### isUnresolvedElement

          public boolean isUnresolvedElement()

      Returns:
        true if the element is an unresolved element such as a space or a border.

Copyright © 2025 Apache Software Foundation. All rights reserved.